#!/bin/sh

if test -z "$devmap_libdir"
then
	if test -f "sch.awk"
	then
		devmap_libdir=.
	else
		devmap_libdir="/usr/lib/openhw/devmap"
	fi
fi

. $devmap_libdir/libdevmap.sh

case $1 in
	--recurse)
		sch_devmap $2 $3
		;;
	--summary)
		tmp=`norm_sch $2`
		summary < $tmp
		;;
	--apply)
		tmp=`norm_sch $2`
		apply_summary $tmp $2
		;;
esac
